import { FinancialSeries } from "./FinancialSeries";
import { ITrendLineSeries } from "./ITrendLineSeries";
import { TrendLineType } from "igniteui-react-core/ES2015/TrendLineType";
import { DependencyProperty } from "igniteui-react-core/ES2015/DependencyProperty";
import { Brush } from "igniteui-react-core/ES2015/Brush";
import { PenLineCap } from "igniteui-react-core/ES2015/PenLineCap";
import { DoubleCollection } from "igniteui-react-core/ES2015/DoubleCollection";
import { PriceDisplayType } from "./PriceDisplayType";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core/ES2015/type";
import { CategoryFrame } from "./CategoryFrame";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES2015/FastItemsSourceEventAction";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { ITrendLineManager } from "./ITrendLineManager";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { AxisRange } from "./AxisRange";
import { Pool$1 } from "igniteui-react-core/ES2015/Pool$1";
import { Path } from "igniteui-react-core/ES2015/Path";
import { GeometryGroup } from "igniteui-react-core/ES2015/GeometryGroup";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
/**
 * @hidden
 */
export declare class FinancialPriceSeries extends FinancialSeries implements ITrendLineSeries {
    static $t: Type;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    pc: FinancialPriceSeriesView;
    constructor();
    trendLineType: TrendLineType;
    trendLineBrush: Brush;
    pw: Brush;
    static readonly pm: DependencyProperty;
    trendLineThickness: number;
    pz: PenLineCap;
    py: DoubleCollection;
    trendLinePeriod: number;
    pg: number;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    pd: PriceDisplayType;
    protected bd(): SeriesHitTestMode;
    ln(a: Point): Rect;
    private pb;
    ak(a: Point): Rect[];
    dg(a: Point, b: boolean): boolean;
    protected dj(a: Point, b: boolean): boolean;
    protected is(a: any, b: string, c: any, d: any): void;
    private pl;
    an(a: Axis): AxisRange;
    ao(): AxisRange;
    ee(): number;
    c8(a: any): boolean;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    os(a: CategoryFrame, b: FinancialSeriesView): void;
    hp(a: boolean, b: SeriesView): void;
    protected get_m5(): boolean;
    ou(a: CategoryFrame, b: FinancialSeriesView): void;
    ed(): number;
    private pk;
    private pe;
    private pj;
    fq(a: any, b: Point): any;
    protected jh(): void;
    protected hy(a: any): void;
    px: Brush;
    jb(a: Brush, b: Brush): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinancialPriceSeriesView extends FinancialSeriesView {
    static $t: Type;
    protected b0: FinancialPriceSeries;
    constructor(a: FinancialPriceSeries);
    b3: Pool$1<Path>;
    cl(): Path;
    protected b6: List$1<Path>;
    cb(a: Path): void;
    cd(a: Path): void;
    cc(a: Path): void;
    protected bv(): FinancialBucketCalculator;
    ap(): void;
    private ck;
    private cj;
    private b1;
    b2: ITrendLineManager;
    readonly b4: boolean;
    ce(): void;
    b8(): void;
    b7(): void;
    ch(): GeometryGroup;
    cg(): GeometryGroup;
    cf(): void;
    protected a8(): void;
    protected a9(): void;
    protected z(a: number): any;
    private ci;
    protected y(a: number): any;
    protected a3(a: RenderingContext, b: boolean): void;
    protected a2(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    b9(): void;
    b5: boolean;
    ca(): void;
}
